Subject: Re: UPS picked up issue
From: Rosette Modiri <[email-masked]>
To: Mohd <[email-masked]>
Date: Sun, 19 Jan 2020 10:51:41 -0700 (MST)

flagged 

From: "Mohd" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Sunday, 19 January, 2020 19:05:02 
Subject: UPS picked up issue 

CASE1424847 - Customer says he was home all the time and UPS didn't knock on the door but left a note on door. How do we know they arrived without even knocking on our door? 

Today I had the package ready for UPS. 
I was at home all day with two other family members. 

At about 4pm I looked out my door and saw a UPS pick-up notice left lying on the ground. 
UPS left the notice without even knocking on the door to ask for the bike. 

They pick-up notice was left upside down on the ground, and not even attached to anything solid. 
What kind of pick-up service is this? 

How can I give them the bike if they don’t even knock on the door to announce themselves? 

A very unhappy customer, 
Bachi Brunato